# This file created by conda-build 3.21.4
# meta.yaml template originally from:
# /root/project/packaging/pytorch3d, last modified Mon Dec 13 18:17:17 2021
# ------------------------------------------------

package:
  name: pytorch3d
  version: 0.6.1
source:
  path: /root/project
build:
  features: null
  script: python setup.py install --single-version-externally-managed --record=record.txt
  script_env:
    - CUDA_HOME
    - FORCE_CUDA
    - MAX_JOBS
    - NVCC_FLAGS
  string: py39_cu102_pyt180
requirements:
  build:
    - nvidiacub 1.10.0 0
  host:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 1_llvm
    - blas 1.0 mkl
    - ca-certificates 2021.10.8 ha878542_0
    - cudatoolkit 10.2.89 h8f6ccaa_9
    - ld_impl_linux-64 2.36.1 hea4e1c9_2
    - libffi 3.4.2 h7f98852_5
    - libgcc-ng 11.2.0 h1d223b6_11
    - libstdcxx-ng 11.2.0 he4da1e4_11
    - libzlib 1.2.11 h36c2ea0_1013
    - llvm-openmp 12.0.1 h4bd325d_1
    - mkl 2021.4.0 h8d4b97c_729
    - mkl-service 2.4.0 py39h7e14d7c_0
    - mkl_fft 1.3.1 py39h0c7bc48_1
    - mkl_random 1.2.2 py39hde0f152_0
    - ncurses 6.2 h58526e2_4
    - ninja 1.10.2 h4bd325d_1
    - numpy 1.21.2 py39h20f2e39_0
    - numpy-base 1.21.2 py39h79a1101_0
    - openssl 3.0.0 h7f98852_2
    - pip 21.3.1 pyhd8ed1ab_0
    - python 3.9.7 hf930737_3_cpython
    - python_abi 3.9 2_cp39
    - pytorch 1.8.0 py3.9_cuda10.2_cudnn7.6.5_0
    - readline 8.1 h46c0cb4_0
    - setuptools 59.4.0 py39hf3d152e_0
    - six 1.16.0 pyh6c4a22f_0
    - sqlite 3.37.0 h9cd32fc_0
    - tbb 2021.4.0 h4bd325d_1
    - tk 8.6.11 h27826a3_1
    - typing_extensions 4.0.1 pyha770c72_0
    - tzdata 2021e he74cb21_0
    - wheel 0.37.0 pyhd8ed1ab_1
    - xz 5.2.5 h516909a_1
    - zlib 1.2.11 h36c2ea0_1013
  run:
    - cudatoolkit >=10.2,<10.3
    - fvcore
    - iopath
    - numpy >=1.11
    - python >=3.9,<3.10.0a0
    - python_abi 3.9.* *_cp39
    - pytorch==1.8.0
    - torchvision >=0.5
test:
  commands: python -m unittest discover -v -s tests
  imports:
    - pytorch3d
  requires:
    - imageio
  source_files:
    - docs
    - tests
about:
  home: https://github.com/facebookresearch/pytorch3d
  license: BSD
  license_file: LICENSE
  summary: 3d Geometry for pytorch
extra:
  copy_test_source_files: true
  final: true
